{#
/**
 * @file
 * Drulma theme implementation to display a single page.
 */
#}

{% block header %}

{{ page.main_menu_first }}

{{ page.main_menu_second }}

{{ page.primary_menu }}

<div id="top" class="h4c-top-anchor"></div>

<header{{ header_attributtes }}>
  <div class="hero-head">
    {{ page.header }}
  </div>
  {% if page.title %}
  <div class="hero-body">
    {{ page.title }}
  </div>
  {% endif %}
  <div class="hero-foot">
    {{ page.secondary_menu }}
  </div>
</header>

{% endblock header %}

{% block main %}

<main role="main">
  <section class="section">
    {% if wrap_content_in_container %}
    <div class="container">
    {% endif %}

      <a id="main-content" tabindex="-1"></a>{# link is in html.html.twig #}
      {{ page.breadcrumb }}

      {{ page.highlighted }}

      {{ page.help }}

      {% if page.sidebar_first %}
      <div class="h4c-content-wrapper">
      {% endif %}

      {{ page.content }}

      {% if page.sidebar_first %}
        <aside class="column is-narrow" role="complementary">
          {{ page.sidebar_first }}
        </aside>
      {% endif %}

      {% if page.sidebar_first %}
      </div>
      {% endif %}

    {% if wrap_content_in_container %}
    </div>
    {% endif %}

    {% if page.sidebar_overlay %}
    {# H4C: Add custom region for fixed sidebar #}
    <aside class="h4c-filter js-h4c-filter" role="complementary">
      {{ page.sidebar_overlay }}
    </aside>
    {% endif %}

  </section>
</main>

{% endblock main %}

{% block footer %}

{% if page.footer %}
  <footer class="footer" role="contentinfo">
    {{ page.footer }}
  </footer>
{% endif %}

{% endblock footer %}
